List sandboxes
curl --request GET \
--url https://api.plane.com/v1/sandboxes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plane.com/v1/sandboxes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plane.com/v1/sandboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sandboxes": [
{
"id": "sbx_3vNqM7xRk2pWsT",
"name": "Airfoil Sandbox",
"status": "ready",
"workspace": "wsp_4kW3GnQCo1CQ49",
"sandbox_workspace": "wsp_test_9nD31mQzRa8kF2",
"created": "2026-03-28T17:20:00Z",
"updated": "2026-03-28T17:21:04Z"
}
],
"cursor": "WyIyMDI2LTAzLTI4VDE3OjIxOjA0LjAwMDAwMFoiLCJzYnhfM3ZOcU03eFJrMnBXc1QiXQ"
}
Sandboxes
List sandboxes
Returns the sandboxes owned by your live Plane workspace.
GET
/
v1
/
sandboxes
List sandboxes
Parameters
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the
default is 10.
A value from a previous response that lets you fetch the next page.
Return results after this sandbox ID.
Return results before this sandbox ID.
Returns
Only one ofcursor, starting_after, or ending_before may be provided.
Returns a dictionary with a sandboxes property that contains an array of
Sandbox objects. When another page is available,
the response also includes a cursor value.
{
"sandboxes": [
{
"id": "sbx_3vNqM7xRk2pWsT",
"name": "Airfoil Sandbox",
"status": "ready",
"workspace": "wsp_4kW3GnQCo1CQ49",
"sandbox_workspace": "wsp_test_9nD31mQzRa8kF2",
"created": "2026-03-28T17:20:00Z",
"updated": "2026-03-28T17:21:04Z"
}
],
"cursor": "WyIyMDI2LTAzLTI4VDE3OjIxOjA0LjAwMDAwMFoiLCJzYnhfM3ZOcU03eFJrMnBXc1QiXQ"
}
Was this page helpful?
⌘I